# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from ticket.models import *
from jumbo.db import models as jumbo_models
from jumbo.db.models import StatusField

class Migration:
    depends_on = (
        ("project", "0001_initial"),
        ("document", "0001_initial"),
    )

    def forwards(self, orm):
        
        # Adding model 'Ticket'
        db.create_table('ticket_ticket', (
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('keywords', models.CharField(max_length=150, verbose_name=_("Keywords"))),
            ('deadline', models.DateField(null=True, verbose_name=_("Deadline"), blank=True)),
            ('duration', models.IntegerField(null=True, verbose_name=_("Duration"), blank=True)),
            ('id', models.AutoField(primary_key=True)),
            ('description', jumbo_models.HTMLField(verbose_name=_("Description"))),
            ('category', models.ForeignKey(orm.Category, verbose_name=_("Category"), related_name="tickets", blank=True, null=True, db_index=True)),
            ('priority', models.IntegerField(default=1, verbose_name=_("Priority"), db_index=True)),
            ('title', models.CharField(max_length=100, verbose_name=_("Title"))),
            ('assigned_by', models.ForeignKey(orm['auth.User'], db_index=True, related_name="tickets_assigned_by_me", null=True, verbose_name=_("Assigned by"), blank=True)),
            ('tipology', models.ForeignKey(orm.Tipology, related_name="tickets", verbose_name=_("Tipology"), db_index=True)),
            ('note', models.TextField(null=True, verbose_name=_("Note"), blank=True)),
            ('public', models.BooleanField(default=False, verbose_name=_("Public"))),
            ('status', models.IntegerField(default=1, verbose_name=_("Status"), db_index=True)),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('address', models.ForeignKey(orm['organization.OrganizationAddress'], db_index=True, related_name='tickets', null=True, verbose_name=_("Address"), blank=True)),
            ('project', models.ForeignKey(orm.TicketProject, db_index=True, related_name="tickets", null=True, verbose_name=_("Project"), blank=True)),
            ('contact', models.ForeignKey(orm['organization.Contact'], db_index=True, related_name='tickets', null=True, verbose_name=_("Contact"), blank=True)),
            ('submitter', models.ForeignKey(orm['auth.User'], related_name="tickets_summitted", verbose_name=_("Submitter"), db_index=True)),
            ('organization', models.ForeignKey(orm['organization.Organization'], db_index=True, related_name="tickets", null=True, verbose_name=_("Organization"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
        ))
        db.send_create_signal('ticket', ['Ticket'])
        
        # Adding model 'Tipology'
        db.create_table('ticket_tipology', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=30, verbose_name=_("Name"))),
        ))
        db.send_create_signal('ticket', ['Tipology'])
        
        # Adding model 'Settings'
        db.create_table('ticket_settings', (
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('type', models.CharField(max_length=20, verbose_name=_("Type"))),
            ('description', models.TextField(null=True, verbose_name="Description", blank=True)),
            ('value', models.CharField(max_length=500, null=True, verbose_name="Value", blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, verbose_name="Name")),
        ))
        db.send_create_signal('ticket', ['Settings'])
        
        # Adding model 'Category'
        db.create_table('ticket_category', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=30, verbose_name=_("Name"))),
        ))
        db.send_create_signal('ticket', ['Category'])
        
        # Adding model 'TicketProject'
        db.create_table('ticket_ticketproject', (
            ('project_ptr', models.OneToOneField(orm['project.Project'])),
            ('assistance_email', models.EmailField(null=True, verbose_name=_("Assistance Email"), blank=True)),
        ))
        db.send_create_signal('ticket', ['TicketProject'])
        
        # Adding model 'Log'
        db.create_table('ticket_log', (
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('old_value', models.TextField(verbose_name=_("Old Value"))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('field', models.CharField(max_length=100, verbose_name=_("Field"))),
            ('new_value', models.TextField(verbose_name=_("New Value"))),
            ('ticket', models.ForeignKey(orm.Ticket, related_name='logs', verbose_name=_("Ticket"), db_index=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
        ))
        db.send_create_signal('ticket', ['Log'])
        
        # Adding model 'TicketAssistance'
        db.create_table('ticket_ticketassistance', (
            ('work_duration', models.IntegerField(null=True, verbose_name=_("work duration"), blank=True)),
            ('date_begin', models.DateTimeField(verbose_name=_("date begin"), blank=True, null=True, db_index=True)),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('date_end', models.DateTimeField(verbose_name=_("date end"), blank=True, null=True, db_index=True)),
            ('worker', models.ForeignKey(orm['auth.User'], related_name='assistances', verbose_name=_("worker"), db_index=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('overnight_stay', models.BooleanField(verbose_name=_("overnight stay"))),
            ('carrying', models.CharField(max_length=3, blank=True, null=True, verbose_name=_("carrying"), db_index=True)),
            ('travel_duration', models.IntegerField(null=True, verbose_name=_("travel duration"), blank=True)),
            ('job_description', jumbo_models.HTMLField(null=True, verbose_name=_("Job Description"), blank=True)),
            ('kilometers', models.IntegerField(null=True, verbose_name=_("kilometers"), blank=True)),
            ('pay_exit', models.BooleanField(verbose_name=_("pay exit"), db_index=True)),
            ('ticket', models.ForeignKey(orm.Ticket, related_name='assistances', verbose_name=_("ticket"), db_index=True)),
            ('extra_duration', models.IntegerField(null=True, verbose_name=_("extra duration"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
        ))
        db.send_create_signal('ticket', ['TicketAssistance'])
        
        # Adding ManyToManyField 'Ticket.assigned_to'
        db.create_table('ticket_ticket_assigned_to', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('ticket', models.ForeignKey(Ticket, null=False)),
            ('user', models.ForeignKey(User, null=False))
        ))
        
        # Adding ManyToManyField 'TicketProject.managers'
        db.create_table('ticket_ticketproject_managers', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('ticketproject', models.ForeignKey(TicketProject, null=False)),
            ('user', models.ForeignKey(User, null=False))
        ))
        
        # Adding ManyToManyField 'TicketProject.staff'
        db.create_table('ticket_ticketproject_staff', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('ticketproject', models.ForeignKey(TicketProject, null=False)),
            ('user', models.ForeignKey(User, null=False))
        ))
        
        # Adding ManyToManyField 'Ticket.documents'
        db.create_table('ticket_ticket_documents', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('ticket', models.ForeignKey(Ticket, null=False)),
            ('document', models.ForeignKey(Document, null=False))
        ))
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Ticket'
        db.delete_table('ticket_ticket')
        
        # Deleting model 'Tipology'
        db.delete_table('ticket_tipology')
        
        # Deleting model 'Settings'
        db.delete_table('ticket_settings')
        
        # Deleting model 'Category'
        db.delete_table('ticket_category')
        
        # Deleting model 'TicketProject'
        db.delete_table('ticket_ticketproject')
        
        # Deleting model 'Log'
        db.delete_table('ticket_log')
        
        # Deleting model 'TicketAssistance'
        db.delete_table('ticket_ticketassistance')
        
        # Dropping ManyToManyField 'Ticket.assigned_to'
        db.delete_table('ticket_ticket_assigned_to')
        
        # Dropping ManyToManyField 'TicketProject.managers'
        db.delete_table('ticket_ticketproject_managers')
        
        # Dropping ManyToManyField 'TicketProject.staff'
        db.delete_table('ticket_ticketproject_staff')
        
        # Dropping ManyToManyField 'Ticket.documents'
        db.delete_table('ticket_ticket_documents')
        
    
    
    models = {
        'ticket.ticket': {
            'Meta': {'permissions': '(("can_view_tickets","Can view tickets"),("can_reopen_tickets","Can reopen tickets"),("list_all_tickets","Can list all tickets"),("list_own_contact_tickets","Can list own contact tickets"),("list_own_organization_tickets","Can list own organization tickets"),)'},
            'address': ('models.ForeignKey', ['OrganizationAddress'], {'db_index': 'True', 'related_name': "'tickets'", 'null': 'True', 'verbose_name': '_("Address")', 'blank': 'True'}),
            'assigned_by': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"tickets_assigned_by_me"', 'null': 'True', 'verbose_name': '_("Assigned by")', 'blank': 'True'}),
            'assigned_to': ('models.ManyToManyField', ['User'], {'db_index': 'True', 'related_name': '"tickets_assigned_to_me"', 'null': 'True', 'verbose_name': '_("Assigned to")', 'blank': 'True'}),
            'category': ('models.ForeignKey', ['"Category"'], {'verbose_name': '_("Category")', 'related_name': '"tickets"', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'contact': ('models.ForeignKey', ['Contact'], {'db_index': 'True', 'related_name': "'tickets'", 'null': 'True', 'verbose_name': '_("Contact")', 'blank': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'deadline': ('models.DateField', [], {'null': 'True', 'verbose_name': '_("Deadline")', 'blank': 'True'}),
            'description': ('jumbo_models.HTMLField', [], {'verbose_name': '_("Description")'}),
            'documents': ('models.ManyToManyField', ['Document'], {'related_name': '"tickets"', 'verbose_name': '_("Document")', 'db_index': 'True'}),
            'duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("Duration")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('models.CharField', [], {'max_length': '150', 'verbose_name': '_("Keywords")'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'note': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Note")', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'db_index': 'True', 'related_name': '"tickets"', 'null': 'True', 'verbose_name': '_("Organization")', 'blank': 'True'}),
            'priority': ('models.IntegerField', [], {'default': '1', 'verbose_name': '_("Priority")', 'db_index': 'True'}),
            'project': ('models.ForeignKey', ["'TicketProject'"], {'db_index': 'True', 'related_name': '"tickets"', 'null': 'True', 'verbose_name': '_("Project")', 'blank': 'True'}),
            'public': ('models.BooleanField', [], {'default': 'False', 'verbose_name': '_("Public")'}),
            'status': ('models.IntegerField', [], {'default': '1', 'verbose_name': '_("Status")', 'db_index': 'True'}),
            'submitter': ('models.ForeignKey', ['User'], {'related_name': '"tickets_summitted"', 'verbose_name': '_("Submitter")', 'db_index': 'True'}),
            'tipology': ('models.ForeignKey', ['"Tipology"'], {'related_name': '"tickets"', 'verbose_name': '_("Tipology")', 'db_index': 'True'}),
            'title': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Title")'})
        },
        'ticket.tipology': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '30', 'verbose_name': '_("Name")'}),
            'status': ('StatusField', [], {})
        },
        'ticket.settings': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '"Description"', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '"Name"'}),
            'type': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("Type")'}),
            'value': ('models.CharField', [], {'max_length': '500', 'null': 'True', 'verbose_name': '"Value"', 'blank': 'True'})
        },
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'ticket.category': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '30', 'verbose_name': '_("Name")'}),
            'status': ('StatusField', [], {})
        },
        'ticket.ticketassistance': {
            'Meta': {'permissions': '(("can_view_ticketassistances","Can view ticket assistances"),("list_all_ticketassistances","Can list all ticket assistances"),)'},
            'carrying': ('models.CharField', [], {'max_length': '3', 'blank': 'True', 'null': 'True', 'verbose_name': '_("carrying")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_begin': ('models.DateTimeField', [], {'verbose_name': '_("date begin")', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateTimeField', [], {'verbose_name': '_("date end")', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'extra_duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("extra duration")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'job_description': ('jumbo_models.HTMLField', [], {'null': 'True', 'verbose_name': '_("Job Description")', 'blank': 'True'}),
            'kilometers': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("kilometers")', 'blank': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'overnight_stay': ('models.BooleanField', [], {'verbose_name': '_("overnight stay")'}),
            'pay_exit': ('models.BooleanField', [], {'verbose_name': '_("pay exit")', 'db_index': 'True'}),
            'ticket': ('models.ForeignKey', ['Ticket'], {'related_name': "'assistances'", 'verbose_name': '_("ticket")', 'db_index': 'True'}),
            'travel_duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("travel duration")', 'blank': 'True'}),
            'work_duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("work duration")', 'blank': 'True'}),
            'worker': ('models.ForeignKey', ['User'], {'related_name': "'assistances'", 'verbose_name': '_("worker")', 'db_index': 'True'})
        },
        'project.project': {
            'Meta': {'ordering': "['name']", 'permissions': '(("can_view_projects","Can view projects"),("list_all_projects","Can list all projects"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.contact': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organization': {
            'Meta': {'unique_together': '(("vat_number","ssn",),)', 'permissions': '(("can_view_organizations","Can view organizations"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'ticket.log': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'field': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Field")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'new_value': ('models.TextField', [], {'verbose_name': '_("New Value")'}),
            'old_value': ('models.TextField', [], {'verbose_name': '_("Old Value")'}),
            'ticket': ('models.ForeignKey', ['Ticket'], {'related_name': "'logs'", 'verbose_name': '_("Ticket")', 'db_index': 'True'})
        },
        'document.document': {
            'Meta': {'permissions': '(("list_all_documents","Can list all documents"),("list_own_documents","Can list own documents"),("modify_all_documents","Can modify all documents"),("modify_own_documents","Can modify only own documents"),("delete_own_documents","Can delete only own documents"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organizationaddress': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'ticket.ticketproject': {
            'Meta': {'ordering': "['name']", '_bases': ['jumbo.apps.project.models.Project'], 'permissions': '(("can_view_ticket_projects","Can view ticket projects"),("list_all_ticket_projects","Can list all ticket projects"),)'},
            'assistance_email': ('models.EmailField', [], {'null': 'True', 'verbose_name': '_("Assistance Email")', 'blank': 'True'}),
            'managers': ('models.ManyToManyField', ['User'], {'related_name': "'managed_ticketproject'", 'verbose_name': '_("Responsabile")'}),
            'project_ptr': ('models.OneToOneField', ["orm['project.Project']"], {}),
            'staff': ('models.ManyToManyField', ['User'], {'related_name': "'assigned_ticketprojects'", 'verbose_name': '_("Staff")'})
        }
    }
    
    complete_apps = ['ticket']
