# -*- coding: utf-8 -*-
import os
import datetime
from django.conf import settings

#######################
# TICKET SETTINGS     #
#######################
# Impostazioni dell'account che riceve i ticket by email inviati dal cliente
# gli utenti devono avere uno user e un contatto associato
TICKET_EMAIL_POP_HOST = getattr(settings, "TICKET_EMAIL_POP_HOST", None)
TICKET_EMAIL_POP_PORT = getattr(settings, "TICKET_EMAIL_POP_PORT", None)
TICKET_EMAIL_POP_USER = getattr(settings, "TICKET_EMAIL_POP_USER", None)
TICKET_EMAIL_POP_PASSWORD = getattr(settings, "TICKET_EMAIL_POP_PASSWORD", None)


# From della mail che verra' usato quando non viene associato nessun progetto al ticket.
GENERIC_MAIL_TICKET = getattr(settings, 'GENERIC_MAIL_TICKET', "generic-ticket@dominio.it")

# Indirizzi Mail a cui vengono mandati i ticket che non vengono associati
# a nessun progetto e a nessuna organization.
TICKET_MAIL_ADMIN = getattr(settings, 'TICKET_MAIL_ADMIN', ["mail1@dominio.it", "mail2@dominio.it",])

TICKET_PATH_DOCUMENTS = getattr(settings, 'TICKET_PATH_DOCUMENTS', 'tickets/')
TICKETPROJECT_PATH_ICON = getattr(settings, 'TICKETPROJECT_PATH_ICON', 'tickets/icon/')

TICKET_SUBJECT_PREFIX = getattr(settings, 'TICKET_SUBJECT_PREFIX', "[Thunder Ticket]")
TICKET_SHOW_SUBJECT_INFO_PROJECT = getattr(settings, 'TICKET_SHOW_SUBJECT_INFO_PROJECT', True)

SEND_MAIL = getattr(settings, 'SEND_MAIL', True)

## valore espresso in giorni oltre il quale l'assistenza non è più inseribile o modificabile dall'utente TicketUser
LIMIT_INSERT_ASSISTANCE = getattr(settings, 'LIMIT_INSERT_ASSISTANCE', None)

## consideriamo il tempo di assistenza work_duration, la formula da applicare è:
## waste_time = work_duration % 60 - trovo lo scarto da arrotondare (tempo di scarto)
## first_step = waste_time / time_round * time_round trovo la prima soglia
## round = waste_time % time_round / time_step trovo l'arrorondamento rispetto a first_step
## work_duration = first_step * time_round + round * time_round + work_duration / 60 * 60
##
## valore espresso in minuti per l'arrotondamento del tempo
TICKETASSISTANCE_TIME_ROUND = getattr(settings, 'TICKETASSISTANCE_TIME_ROUND', '')
## valore espresso in minuti oltre il quale scatta l'addebito successivo
TICKETASSISTANCE_TIME_STEP = getattr(settings, 'TICKETASSISTANCE_TIME_STEP', '')

## da valorizzare se non è impostato l'orario di lavoro per il 'worker'
## 0, 1, 2, 3, 4: sono i giorni della settimana - 0 è lunedì
TICKETASSISTANCE_WORKING_TIME = getattr(settings, 'TICKETASSISTANCE_WORKING_TIME',{
    0: (datetime.time(9,0), datetime.time(13,0), datetime.time(14,0), datetime.time(18,0)),
    1: (datetime.time(9,0), datetime.time(13,0), datetime.time(14,0), datetime.time(18,0)),
    2: (datetime.time(9,0), datetime.time(13,0), datetime.time(14,0), datetime.time(18,0)),
    3: (datetime.time(9,0), datetime.time(13,0), datetime.time(14,0), datetime.time(18,0)),
    4: (datetime.time(9,0), datetime.time(13,0), datetime.time(14,0), datetime.time(18,0)),
    5: (),
    6: ()
})

## per associare le assistenze ad un prodotto
TICKETASSISTANCE_PRODUCT_CODE = getattr(settings, 'TICKETASSISTANCE_PRODUCT_CODE', '')
## per definire descrizione nell'ordine generato dalle assistenze
TICKETASSISTANCE_DESCRIPTION = 'Assistenza'
## per creare ordine da assistenza se chiusa
TICKETASSISTANCE_PROCESS_OPEN_ASSISTANCE = getattr(settings, 'TICKETASSISTANCE_PROCESS_OPEN_ASSISTANCE', False)
