var myForm; // Form di appoggio per la stampa degli appuntamenti
var NUM_PER_PAGE = 10000; // Numero di righe visualizzate in ogni pagina della griglia
var grid;

Ext.onReady(function(){
    var nav_filter = new Ext.Panel({
                title: 'Parametri ricerca',
                width: '100%',
                collapsible: true,
                collapsed: true,
                contentEl: 'content_navigation_filter'
            });
    
    nav_filter.render('navigation_filter');
    
    /***********************
     * RENDER FUNCTIONS
     ***********************/
   
    function renderEdit(value, p, record){
        return String.format("<a href='/ticket/project/"+record.id+"/'><img src='/static/jumbo/img/edit.gif' title=\"Modifica Progetto\" /></a>");
    }

    function renderName(value, p, record){
        return String.format("<p class='bold'>"+record.data.name+"</p>");
    }
    
    /***********************
     * END RENDER FUNCTIONS
     ***********************/
    
    var myProxy = new Ext.data.HttpProxy({
        url: '/ticket/ajax/project/list/',
        method: 'GET'
    });

    var myReader = new Ext.data.JsonReader({
        root: 'data',
        totalProperty: 'total',
        id: 'id',
        fields: [
            {name: 'date_start'},
            {name: 'name'},
            {name: 'description'},
            {name: 'organization__name'},
            {name: 'manager'},
            {name: 'assistance_email'},
            {name: 'edit'}
        ]
    });
    
    var cm = new Ext.grid.ColumnModel([
        {header: "Date Start", width:18, renderer: Ext.util.Format.dateRenderer('d/m/Y'), dataIndex: 'date_start', sortable: true},
        {header: "Name", width:30, dataIndex: 'name', renderer: renderName, sortable: true},
        {header: "Description", width:45, dataIndex: 'description'},
        {header: "Organization", width:30, dataIndex: 'organization__name', sortable: true},
        {header: "Manager", width:20, dataIndex: 'manager'},
        {header: "Assistance Email", width:30, dataIndex: 'assistance_email'},
        {header: "Edit", width:5, dataIndex: 'edit', renderer: renderEdit}
    ]);

    // Rendo le colonne sortabili di defautl
    cm.defaultSortable = false;
    
    // create the Data Store
    ds = new Ext.data.Store({
        proxy: myProxy,
        reader: myReader,
        remoteSort: true
    });
    
    ds.setDefaultSort('name', 'ASC');

    bbar = new Ext.PagingToolbar({
        pageSize: NUM_PER_PAGE,
        store: ds,
        displayInfo: true,
        displayMsg: 'Show projects {0} - {1} di {2}',
        emptyMsg: "No project to show"
    });
    
    grid = new Ext.grid.GridPanel({
        el:'grid_project',
        title:'List Projects',
        width:'100%',
        loadMask: true,
        viewConfig: {forceFit: true},
        autoHeight : true,
        enableColumnHide : false, // Tolgo dal context menu degli header il valore "Columns"
        store: ds,
        cm: cm,
        bbar: bbar
    });
    
    grid.render();

    // trigger the data store load
    ds.load({params:{start:0, limit:NUM_PER_PAGE}});

});
