from django.conf import settings
from django import template
from django.core.urlresolvers import reverse
from django.utils.dateformat import format
from django.utils.dates import WEEKDAYS, WEEKDAYS_ABBR

from datetime import datetime, time, date, timedelta

from jumbo.apps.calendar.utils import *
from ticket.models import Ticket, TicketAssistance

from itertools import groupby
from operator import itemgetter
from ticket.utils import WorkerAssistance

weekday_names = []
weekday_abbrs = []

# The calendar week starts on Monday
for i in range(7):
    weekday_names.append( WEEKDAYS[i] )
    weekday_abbrs.append( WEEKDAYS_ABBR[i] )

register = template.Library()

@register.inclusion_tag("admin/ticket/ticketassistance/tags/_month_table.html",  takes_context=True)
def ticket_month_table(context, period):
    context['day_names']  = weekday_names
    return context


@register.inclusion_tag("admin/ticket/ticketassistance/tags/_count_assistances.html", takes_context=True)
def get_assistances_count_for_worker(context, day):

    last_worker = None
    wa = None
    worker_ass = []

    for assistance in day.events:
        if not last_worker:
            wa = WorkerAssistance()
            wa.worker = assistance.worker
            last_worker = assistance.worker
        if assistance.worker.user.username == last_worker.user.username:
            wa.assistances.append(assistance)
            wa.num_assistances += 1
            wa.total_hours += assistance.get_real_duration()
        else:
            worker_ass.append(wa)
            wa = WorkerAssistance()
            wa.worker = assistance.worker
            wa.assistances.append(assistance)
            wa.num_assistances += 1
            wa.total_hours += assistance.get_real_duration()
        last_worker = assistance.worker
    worker_ass.append(wa)

    context = {
        'd' : day,
        'worker_assistances' : worker_ass,
    }
    return context